package com.future.common.validate.annotation;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ElementType.METHOD, ElementType.FIELD,ElementType.PARAMETER})  //注解的目标范围  方法，字段上
@Retention(RetentionPolicy.RUNTIME) //运行时
@Constraint(validatedBy = NullSizeImpl.class)  //校验时执行的自定义类
public @interface NullSize {

    int min();//自己定义的属性

    int max();//自己定义的属性

    String message() default "检查数据录入长度";

    Class<?>[] groups() default {};      //必须实现这三个方法

    Class<? extends Payload>[] payload() default {};


}
